# Get

## Obter Tipo de Documento

## Devolve detalhes do Tipo de Documento a partir do seu :id.

<mark style="color:blue;">`GET`</mark> `https://api.cloudinvoice.net/documents/configs/:id/`

#### Path Parameters

| Name                                 | Type    | Description               |
| ------------------------------------ | ------- | ------------------------- |
| id<mark style="color:red;">\*</mark> | integer | O ID do Tipo de Documento |

{% tabs %}
{% tab title="Exemplo de Pedido" %}

```shell
curl https://api.cloudinvoice.net/documents/configs/1/
    -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Exemplo de Resposta" %}

<pre class="language-json"><code class="lang-json">{
    "id": 1,
    "code": "FAC",
    "document_name": "Factura",
    "document_nature_id": 301,
    "document_nature": {
        "code": "FT",
        "description": "Factura"
    },
    "document_type_id": 291,
    "document_type": {
        "code": "V",
        "description": "Venda"
    },
    "party_class_id": 1601,
    "party_class": {
        "code": "C",
        "description": "Cliente"
    },
    "saft_doc_category_id": 282,
    "saft_doc_category": {
        "code": "V",
        "description": "Vendas/Comerciais"
    },
    "document_layout_type_id": 911,
    "document_layout_type": {
        "code": "V",
        "description": "Vendas"
    },
    "stock_behavior_type_id": 1122,
    "stock_behavior_type": {
        "code": "X",
        "description": "Existência"
    },
    "stock_movement_type_id": 1103,
    "stock_movement_type": {
        "code": "S",
        "description": "Saída"
    },
    "till_movement_type_id": 1731,
    "till_movement_type": {
        "code": "N",
        "description": "Nenhum"
    },
    "price_line_to_use_id": 3251,
<strong>    "price_line_to_use": {
</strong>        "code": "V",
        "description": "Venda"
    },
    "price_line_id": 1,
    "price_line": {
        "code": 1,
        "description": "Preço de Venda 1"
    },
    "is_hash_signed": true,
    "upd_last_cost_price": false,
    "upd_average_cost_price": false,
    "is_tax_included": false,
    "is_valued": true,
    "is_global_transport": false,
    "is_credit_document": false,
    "is_self_billing": false,
    "is_plafond_document": false,
    "is_return_document": false,
    "ask_payment_onclose": false,
    "at_cud_serie_suffix": ""
}
</code></pre>

{% endtab %}
{% endtabs %}

Para ver exemplos de pedidos nas várias linguagens, consulte a página[ Exemplos de Pedidos.](https://apidocs.cloudinvoice.net/introducao/exemplos-de-pedidos)
